import { Application } from 'express';
import { ErrorRequestHandler, RequestHandlerParams } from 'express-serve-static-core';
import { ExpressEndpointAssertor, EndpointDefinition, ErrorAssertor, ExpressEndpointResponseAssertor } from './apps-types';
export declare const DEFAULT_ENDPOINT = "/";
/**
 *
 * @param {RequestHandlerParams[]} [appMiddleware=[]]
 * @param {RequestHandlerParams[]} [routeMiddleware=[]]
 * @param {ExpressEndpointAssertor[]} [transformedRequestAssertors=[]]
 * @param transformedResponseAssertors
 * @param {ErrorAssertor[]} [errorAssertors=[]]
 * @param {RequestHandlerParams[]} [routerMiddleware=[]]
 * @param errorHandler
 * @param {RequestHandlerParams} [handler] - if handler is not specified, by default sends 204 NO CONTENT
 * @param {string | EndpointDefinition} [endpoint='/'] - if endpoint is passed as string, or not specified, by default GET method is used.
 */
export declare function newExpressApp({ appMiddleware, routeMiddleware, routerMiddleware, transformedRequestAssertors, transformedResponseAssertors, errorAssertors, errorHandler, handler, endpoint }: {
    appMiddleware?: RequestHandlerParams[];
    routeMiddleware?: RequestHandlerParams[];
    routerMiddleware?: RequestHandlerParams[];
    transformedRequestAssertors?: ExpressEndpointAssertor[];
    transformedResponseAssertors?: ExpressEndpointResponseAssertor[];
    errorAssertors?: ErrorAssertor[];
    errorHandler?: ErrorRequestHandler;
    handler?: RequestHandlerParams;
    endpoint?: string | EndpointDefinition;
}): Application;
