import { Middleware } from 'koa';
import Application from 'koa';
import { EndpointDefinition, KoaEndpointAssertor } from './apps-types';
export declare const DEFAULT_ENDPOINT = "/";
/**
 *
 * @param {Middleware[]} [appMiddleware=[]]
 * @param {Middleware[]} [routerMiddleware=[]]
 * @param {KoaEndpointAssertor[]} [transformedRequestAssertors=[]]
 * @param {Middleware} [handler] - if handler is not specified, by default sends 204 NO CONTENT
 * @param {string | EndpointDefinition} [endpoint='/'] - if endpoint is passed as string, or not specified, by default GET method is used.
 */
export declare function newKoaApp({ appMiddleware, routerMiddleware, transformedRequestAssertors, handler, endpoint }: {
    appMiddleware?: Middleware[];
    routerMiddleware?: Middleware[];
    transformedRequestAssertors?: KoaEndpointAssertor[];
    handler?: Middleware;
    endpoint?: string | EndpointDefinition;
}): Application;
