"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const supertest_1 = __importDefault(require("supertest"));
class KoaServerManagerJest {
    constructor(port) {
        this.port = port || 8888;
    }
    request() {
        return supertest_1.default(this.server);
    }
    start(app, port) {
        this.stop();
        this.server = app.listen(port || this.port);
    }
    startBeforeEach(app, port) {
        beforeEach(() => {
            this.start(app, port);
        });
    }
    startBeforeAll(app, port) {
        beforeAll(() => {
            this.start(app, port);
        });
    }
    stopAfterEach() {
        afterEach(() => {
            this.stop();
        });
    }
    stopAfterAll() {
        afterAll(() => {
            this.stop();
        });
    }
    stop() {
        if (this.server) {
            this.server.close();
            this.server = undefined;
        }
    }
}
exports.KoaServerManagerJest = KoaServerManagerJest;
//# sourceMappingURL=KoaServerManagerJest.js.map